Hot News:

Unser Angebot:

  Foren auf CAD.de (alle Foren)
  
  Ordnerzugehörigkeit aus Baugruppe in Zeichnung

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
[an error occurred while processing this directive] mal gelesen)
OibelTroibel
Mitglied
Konstrukteur


Sehen Sie sich das Profil von OibelTroibel an!   Senden Sie eine Private Message an OibelTroibel  Schreiben Sie einen Gästebucheintrag für OibelTroibel

Beiträge: 344
Registriert: 18.04.2014

ACAD/Inventor 2018-21

erstellt am: 19. Feb. 2021 11:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen

Ich habe eine Zeichnung einer Baugruppe als idw. In der Baugruppe sind mehrere Bauteile zusammengefasst in verschiedenen Ordnern.
Ist es möglich, in VBA zu eruieren in welchem Ordner sich die Bauteile befinden und damit eine If-Schleife zu erstellen?

Hintergrund ist, über die Ordnerzugehörigkeit die Layer der jeweiligen Bauteile anzupassen.

Beste Grüsse
Raphael

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KraBBy
Mitglied
Maschinenbau-Ingenieur


Sehen Sie sich das Profil von KraBBy an!   Senden Sie eine Private Message an KraBBy  Schreiben Sie einen Gästebucheintrag für KraBBy

Beiträge: 390
Registriert: 19.09.2007

Inventor Professional 2020
WinX

erstellt am: 19. Feb. 2021 12:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für OibelTroibel 10 Unities + Antwort hilfreich

Es gibt die Versuchung auf diese Frage einfach mit JA zu antworten, was Dir aber vmtl. nicht wirklich weiter hilft.

Man hat über die Zeichnung (bzw. Kanten darin) die Möglichkeit auf das Modell (hier die Baugruppe) und darüber auf die Einzelteile Zugriff zu erlangen. Die Einzelteile "wissen" auch wo sie gespeichert sind.

Jetzt hilft Dir das etwas ausführlichere JA, vielleicht auch nicht mehr.

------------------
Gruß KraBBy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KraBBy
Mitglied
Maschinenbau-Ingenieur


Sehen Sie sich das Profil von KraBBy an!   Senden Sie eine Private Message an KraBBy  Schreiben Sie einen Gästebucheintrag für KraBBy

Beiträge: 390
Registriert: 19.09.2007

Inventor Professional 2020
WinX

erstellt am: 19. Feb. 2021 12:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für OibelTroibel 10 Unities + Antwort hilfreich

hier wird etwas rumhantiert mit Kanten aus einer IDW um zur Bgr.Komp. zu gelangen. Evtl. hilfts
Pick-Methode in idw für ein Bauteil

Und hier auch meine "Minimal-Demonstration" (nicht groß rumprobiert, Stolperfallen sind wahrscheinlich):

Code:
Sub idw_Pfad_von_Kante()
' in einer aktiven Zeichnung, darin mindestens eine Ansicht einer Baugruppe
    Dim oSel As SelectSet
    Set oSel = ThisApplication.ActiveDocument.SelectSet
   
    'ein Kante muss ausgewählt sein
    Dim oKante As Object
    If Not 0 = oSel.Count Then Set oKante = oSel.Item(1) Else Exit Sub
   
    'gewähltes Objekt ist vom Typ DrawingCurveSegment
    Dim oDrwCurveSegment As DrawingCurveSegment
    Set oDrwCurveSegment = oKante
   
    'oDrwCurveSegment.Parent 'liefert eine DrawingCurve
    'oDrwCurveSegment.Parent.ModelGeometry  'Object/EdgeProxy (je nach gewählter Kante)
    Dim oOcc As ComponentOccurrence
    Set oOcc = oDrwCurveSegment.Parent.ModelGeometry.ContainingOccurrence 'ComponentOccurrence, die Komponente der Baugruppe
   
    Dim sDateinamePfad As String
    sDateinamePfad = oOcc.Definition.Document.fullFilename
   
    MsgBox sDateinamePfad
    Stop
   
End Sub

------------------
Gruß KraBBy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KraBBy
Mitglied
Maschinenbau-Ingenieur


Sehen Sie sich das Profil von KraBBy an!   Senden Sie eine Private Message an KraBBy  Schreiben Sie einen Gästebucheintrag für KraBBy

Beiträge: 390
Registriert: 19.09.2007

Inventor Professional 2020
WinX

erstellt am: 19. Feb. 2021 12:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für OibelTroibel 10 Unities + Antwort hilfreich

noch eine Kleinigkeit: Wie willst Du Unterbaugruppen handhaben? die haben auch einen Speicherort. Liefern aber i.d.R. keine Kanten (außer evtl. bei Bgr.Bearbeitungen ... kA)

------------------
Gruß KraBBy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

EIBe 3D
Mitglied
Dipl. - Ing. (FH)


Sehen Sie sich das Profil von EIBe 3D an!   Senden Sie eine Private Message an EIBe 3D  Schreiben Sie einen Gästebucheintrag für EIBe 3D

Beiträge: 185
Registriert: 24.01.2020

HP Z4 G4 Workstation
Xeon 3,6 32GB
Nvidia P2000
WIN10
SW2015 SP5.0
SW2017
*************
Inv2018 akt.SP

erstellt am: 19. Feb. 2021 13:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für OibelTroibel 10 Unities + Antwort hilfreich

Hallo,

ein Ansatz über die Zeichenansicht an Bauteile im Ordner zu gelangen.

Code:

Sub BrowserFolderDrawing()
    Dim oApp As Inventor.Application
    Set oApp = ThisApplication
   
    Dim oDoc As Inventor.DrawingDocument
    Set oDoc = oApp.ActiveDocument

    Dim oBrowserNode As BrowserNode
    Dim oBrowserFolders As BrowserFoldersEnumerator
    Dim oDrwView As DrawingView
    Set oDrwView = oDoc.ActiveSheet.DrawingViews.Item(1)
    Set oBrowserFolders = oDrwView.ReferencedDocumentDescriptor.ReferencedDocument.BrowserPanes.ActivePane.TopNode.BrowserFolders
    Dim oBrowserFolder As BrowserFolder
   
    For Each oBrowserFolder In oBrowserFolders
        Debug.Print oBrowserFolder.Name
        For Each oBrowserNode In oBrowserFolder.BrowserNode.BrowserNodes
            Debug.Print oBrowserNode.FullPath
        Next
    Next
   
End Sub


Dann Auswahl als Kanten und Layer bearbeiten.

Grüße und schönes WE

EIBe 3D

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

OibelTroibel
Mitglied
Konstrukteur


Sehen Sie sich das Profil von OibelTroibel an!   Senden Sie eine Private Message an OibelTroibel  Schreiben Sie einen Gästebucheintrag für OibelTroibel

Beiträge: 344
Registriert: 18.04.2014

ACAD/Inventor 2018-21

erstellt am: 19. Feb. 2021 13:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Ordnerstruktur.JPG

 
Hallo KraBBy

Lass dich nicht von der Versuchung leiten und mach so ausführlich weiter wie bis anhin 
Vielen Dank bereits für deine Ausführungen. Ich habe mich anscheinend zu wenig präzise ausgedrückt. Ich meine nicht die Ordner der Pfadstruktur sondern die Ordner welche man in der Baugruppe im Strukturbaum erstellen kann um sich besser zu organisieren.
Ich weiss einfach nicht wonach ich suchen kann um in VBA eine Zugehörigkeit eines Bauteil zu einem Ordner mit "Ordnername" zu finden.

Edit: (den letzten Satz fertig geschrieben)

[Diese Nachricht wurde von OibelTroibel am 19. Feb. 2021 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

OibelTroibel
Mitglied
Konstrukteur


Sehen Sie sich das Profil von OibelTroibel an!   Senden Sie eine Private Message an OibelTroibel  Schreiben Sie einen Gästebucheintrag für OibelTroibel

Beiträge: 344
Registriert: 18.04.2014

ACAD/Inventor 2018-21

erstellt am: 19. Feb. 2021 13:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo ElBe 3D

Super, herzlichen Dank für dein Gedankenanstoss. Das sollte mir vom durchlesen auf jeden fall weiterhelfen

Grüsse und dir auch ein schönes Wochenende
Raphael

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2021 CAD.de | Impressum | Datenschutz